extends Interaction

@export var max_scavenge:int
@export var ScavengableNode:Node2D

# Called when the node enters the scene tree for the first time.
func _ready():
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	pass

func Scavanged():
	max_scavenge -= 1
	if max_scavenge == 0:
		ScavengableNode.scavenging = false
		ScavengableNode.itemsDropped = []
